OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.X11SyncObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTX11SyncObject :: MonadIO m => m Bool
- gl_EXT_x11_sync_object :: Bool
- gl_SYNC_X11_FENCE_EXT :: GLenum
- glImportSyncEXT :: MonadIO m => GLenum -> GLintptr -> GLbitfield -> m GLsync

# Extension Support

glGetEXTX11SyncObject :: MonadIO m => m Bool

Is the EXT_x11_sync_object extension supported?

gl_EXT_x11_sync_object :: Bool

Is the EXT_x11_sync_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTX11SyncObject` in those cases instead.

# Enums

gl_SYNC_X11_FENCE_EXT :: GLenum

# Functions

glImportSyncEXT

Arguments

:: MonadIO m |
=> GLenum | `external_sync_type`.
-> GLintptr | `external_sync`.
-> GLbitfield | `flags`.
-> m GLsync | of type `sync`.